package com.ss.android.ugc.aweme.property.bytebench;

import X.0Mi;
import X.0Mo;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;

public class RecodeByteBenchStrategy$$Imp implements RecodeByteBenchStrategy {
    public Gson mGson = new Gson();
    public int mRepoName = 0;

    static {
        Covode.recordClassIndex(100907);
    }

    public void updateValue() {
    }

    public int hdRecodeBitrateThreshold() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "high_quality_bitrate_of_recode_threshold", 10000000);
        } catch (Exception unused) {
            return 10000000;
        }
    }

    public int recodeBitrateThreshold() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "bitrate_of_recode_threshold", 10000000);
        } catch (Exception unused) {
            return 10000000;
        }
    }

    public void setByteBenchStrategy(0Mi r2) {
        this.mRepoName = r2.LIZ();
    }
}
